import '../../../model/car.dart';

abstract class CarEvents {}

class CarLoad extends CarEvents {
  String teamId;

  CarLoad({required this.teamId});
}

class CarEdit extends CarEvents {
  Car newCar;
  String teamId;

  CarEdit({required this.newCar, required this.teamId});
}

class CarAdd extends CarEvents {
  String teamId;
  String plate;

  CarAdd({required this.teamId, required this.plate});
}

class CarDelete extends CarEvents {
  String carId;
  String teamId;

  CarDelete({required this.carId, required this.teamId});
}